> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List of Promotions

> Enables you to retrieve all the active promotions, in a paginated response.



## OpenAPI

````yaml offers_v1 get /api-price/promo
openapi: 3.0.0
info:
  description: >-
    fabric e-commerce Offers APIs allow you to to set up and manage stock
    keeping unit (SKU) prices. Its wide range of coupon and promotion features
    let you design deals ranging from single-use, customer-specific coupons to
    site-wide promotions.
  version: 1.0.0
  title: Offers v1
  contact:
    email: support@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Pricing
    description: Pricing APIs enable you to add price details for one or many items.
  - name: Promotions
    description: >-
      Promotion APIs enable you to apply and verify promotions and discount
      coupons.
  - name: Login API
    description: >-
      Login endpoint generates an authorization token for local users that they
      can use to log into fabric copilot application. <br /><br /> **Note:** A
      local user is someone who has an active account with fabric Inc
externalDocs:
  description: Learn more about Offers
  url: https://fabric.inc/knowledgebase/offers
paths:
  /api-price/promo:
    get:
      tags:
        - Promotions
      summary: Get List of Promotions
      description: >-
        Enables you to retrieve all the active promotions, in a paginated
        response.
      operationId: promoListCommerce
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - in: query
          name: offset
          description: >-
            Number of records you wish to skip before selecting records. Default
            is `0` if not specified
          required: false
          schema:
            type: number
        - in: query
          name: limit
          description: >-
            limits the number of records returned by the api. Default is `10` if
            `limit` is not specified
          required: false
          example: 10
          schema:
            type: number
        - name: keyword
          in: query
          description: Retrive records by SKU name
          required: false
          example: sku name test
          schema:
            type: string
      responses:
        '200':
          description: Successfully gets list of all active promotions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/promo-list'
        '400':
          description: Client error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/clientError'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/serverError'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  schemas:
    promo-list:
      type: object
      properties:
        query:
          $ref: '#/components/schemas/query'
          description: >-
            The query details such as how many promotions must be displayed in a
            page, the offset value, and the total number of applicable
            promotions.
        promos:
          description: The details of the promotions.
          type: array
          items:
            $ref: '#/components/schemas/promos'
    clientError:
      type: object
      properties:
        code:
          description: The error code, meant for machine consumption.
          type: string
          example: 400
        message:
          description: A human-readable description of the error that occurred.
          type: string
          example: SKU cannot be empty
    serverError:
      type: object
      properties:
        code:
          description: The error code, meant for machine consumption.
          type: string
          example: 500
        message:
          description: A human-readable description of the error that occurred.
          type: string
          example: >-
            An internal error occurred. If the issue persists please contact
            support@fabric.inc.
    query:
      type: object
      properties:
        limit:
          type: number
          description: Number of records returned on a single page. Default value is `10`.
          example: 10
        offset:
          description: >-
            Number of records skipped before selecting records. Default value is
            `0`
          example: 0
        count:
          type: number
          description: Total number of promotions in the response
          example: 66
    promos:
      type: object
      properties:
        _id:
          type: string
          description: fabric internal unique ID
          example: abcdefg1ee7ce20123456789
        promoId:
          type: number
          description: System generated unique ID of promotion
          example: 100013
        promoCodes:
          type: array
          description: >-
            Returns an empty array for a promotion but will contain promo codes
            for a coupon
          example: []
          items:
            type: string
        promoCount:
          type: number
          description: >-
            Number of promo codes attached to a coupon. It'll be `0` for a
            promotion.
          example: 0
        state:
          type: string
          description: Promotion status
          enum:
            - ACTIVE
            - SCHEDULED
            - DISABLED
            - EXPIRED
          example: SCHEDULED
        isImplicit:
          type: boolean
          description: Returned `true` for a promotion and false for a coupon
          example: true
        title:
          type: string
          description: Title of the promotion
          example: CREATE PROMO
        startDate:
          type: string
          format: date-time
          description: Start date of the promotion
          example: '2019-08-24T14:15:22Z'
        endDate:
          type: string
          format: date-time
          description: End date of the promotion
          example: '2019-08-25T14:15:22Z'
        isExclusive:
          type: boolean
          description: >-
            true: coupon cannot be stacked on promotion<br /> false: coupon can
            be stacked on promotion
          example: true
        eligiblePriceList:
          type: array
          description: Price lists to be considered for this promotion
          items:
            type: number
            example: 10000056
        updatedAt:
          type: string
          format: date-time
          description: Last updated date of the record
          example: '2019-08-20T14:15:22Z'

````